Subject: Re: linux-next: origin tree build failure

From: Ralf Baechle <[email-masked]>
Date: Thu, 16 Oct 2008 13:58:17 +0100

On Thu, Oct 16, 2008 at 11:31:12AM +1100, Stephen Rothwell wrote:

> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> drivers/rtc/rtc-ds1286.c: In function 'ds1286_rtc_read':
> drivers/rtc/rtc-ds1286.c:33: error: implicit declaration of function '__raw_readl'
> drivers/rtc/rtc-ds1286.c: In function 'ds1286_rtc_write':
> drivers/rtc/rtc-ds1286.c:38: error: implicit declaration of function '__raw_writel'
> drivers/rtc/rtc-ds1286.c: In function 'ds1286_probe':
> drivers/rtc/rtc-ds1286.c:345: error: implicit declaration of function 'ioremap'
> drivers/rtc/rtc-ds1286.c:345: warning: assignment makes pointer from integer without a cast
> drivers/rtc/rtc-ds1286.c:365: error: implicit declaration of function 'iounmap'
> 
> Caused by commit 5f119f29063c9a9bf1ab40112c02710c2db84f29 ("MIPS: DS1286:
> New RTC driver") which presumably needs to depend in some architecture or
> feature.
> 
> I just reverted it for now.

It's just missing an include which Geert has already posted in a different
thread.

As far as I can say these two RTC chips are only being uses in MIPS
systems so maybe it's a good idea to allow configuring the driver if it
builds and does no harm on another platform/architecture?  I can cook up
a patch if that's what people want.

  Ralf